Bug 7280 - config backend = registry; printers not shown
config backend = registry; printers not shown
Status: RESOLVED FIXED
Product: Samba 3.4
Classification: Unclassified
Component: Printing
unspecified
x64 Linux
: P3 normal
: ---
Assigned To: Karolin Seeger
Samba QA Contact
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2010-03-22 18:45 UTC by Norberto Bensa
Modified: 2010-08-23 04:15 UTC (History)
2 users (show)

See Also:


Attachments
Patch for 3.5 (631 bytes, patch)
2010-08-16 13:51 UTC, Jim McDonough
obnox: review+
Details
Patch for 3.4 (631 bytes, patch)
2010-08-16 13:53 UTC, Jim McDonough
obnox: review+
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Norberto Bensa 2010-03-22 18:45:33 UTC
Per request from Michael Adam. Just a copy & paste from:

http://thread.gmane.org/gmane.network.samba.general/110273

config backend = file (full config file below):

...
[printers]
       comment = All Printers
       path = /var/spool/samba
       create mask = 0700
       printable = Yes
       browseable = No
       guest ok = yes
...

$ smbclient -kL //venkman
...
       EPSON_Stylus_CX5900 Printer   EPSON Stylus CX5900
...


config backend = files, delete everything except [printers] and
include "include = registry":

...
[global]
       include = registry

[printers]
       comment = All Printers
       path = /var/spool/samba
       create mask = 0700
       printable = Yes
       browseable = No
       guest ok = yes
...

$ smbclient -kL //venkman
...
       EPSON_Stylus_CX5900 Printer   EPSON Stylus CX5900
...

Note: the above config used to work with samba 3.4.0 on ubuntu karmic. From 3.4.6 (lucid beta1) it doesn't show the printer anymore.


config backend = registry, I no longer see my printer

...
[global]
      config backend = registry
...

$ smbclient  -kL //venkman
Domain=[BENSA] OS=[Unix] Server=[Samba 3.4.0]

       Sharename       Type      Comment
       ---------       ----      -------
       IPC$            IPC       IPC Service (venkman server (Samba, Ubuntu))
       zoolook         Disk      Home Directory
       print$          Disk      Printer Drivers
Domain=[BENSA] OS=[Unix] Server=[Samba 3.4.0]

       Server               Comment
       ---------            -------
       VENKMAN              venkman server (Samba, Ubuntu)

       Workgroup            Master
       ---------            -------
       BENSA                VENKMAN




$ sudo net conf list
[global]
       workgroup = BENSA
       server string = %h server (Samba, Ubuntu)
       map to guest = Bad User
       obey pam restrictions = Yes
       passdb backend = ldapsam:ldap://localhost
       dedicated keytab file = /etc/samba/smb.keytab
       kerberos method = dedicated keytab
       syslog = 0
       log file = /var/log/samba/log.%m
       max log size = 1000
       announce version = 5.9
       time server = Yes
       add user script = /usr/sbin/smbldap-useradd -m '%u'
       delete user script = /usr/sbin/smbldap-userdel '%u'
       add group script = /usr/sbin/smbldap-groupadd '%g'
       delete group script = /usr/sbin/smbldap-userdel '%g'
       add user to group script = /usr/sbin/smbldap-groupmod -m '%u' '%g'
       delete user from group script = /usr/sbin/smbldap-groupmod -x '%u' '%g'
       set primary group script = /usr/sbin/smbldap-usermod -g '%g' '%u'
       add machine script = /usr/sbin/smbldap-useradd -t 0 -w '%u'
       domain logons = Yes
       os level = 255
       preferred master = Yes
       dns proxy = No
       wins support = Yes
       ldap admin dn = cn=admin,dc=bensa,dc=ar
       ldap group suffix = ou=groups
       ldap idmap suffix = ou=idmap
       ldap machine suffix = ou=machines
       ldap passwd sync = yes
       ldap suffix = dc=bensa,dc=ar
       ldap ssl = no
       ldap user suffix = ou=users
       usershare allow guests = Yes
       panic action = /usr/share/samba/panic-action %d
       realm = BENSA.AR

[printers]
       comment = All Printers
       path = /var/spool/samba
       create mask = 0700
       printable = Yes
       browseable = No
       guest ok = yes

[print$]
       comment = Printer Drivers
       path = /var/lib/samba/printers

[homes]
       comment = Home Directory
       browseable = No


If you need more info, please, let me know
Comment 1 Michael Adam 2010-03-31 16:52:02 UTC
Thanks for the bug report!
I have to investigate this.
Comment 2 Jim McDonough 2010-08-16 12:19:53 UTC
The [printers] share needs to be loaded before the first printer refresh.  I'll take this one.
Comment 3 Jim McDonough 2010-08-16 13:51:58 UTC
Created attachment 5905 [details]
Patch for 3.5
Comment 4 Jim McDonough 2010-08-16 13:53:26 UTC
Created attachment 5906 [details]
Patch for 3.4
Comment 5 Michael Adam 2010-08-16 14:11:12 UTC
Thanks Jim, for taking care of this, and sorry for losing track of this issue...
The patch looks good.
Cheers - Michael
Comment 6 Michael Adam 2010-08-16 14:12:24 UTC
reassigning to Karolin for inclusion into releases...
Comment 7 Karolin Seeger 2010-08-23 04:15:44 UTC
Pushed to v3-4-test and v3-5-test.
Closing out bug report.

Thanks!